import * as $dara from '@darabonba/typescript';
import { DescribeHaVipsResponseBody } from "./DescribeHaVipsResponseBody";
export declare class DescribeHaVipsResponse extends $dara.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: DescribeHaVipsResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
